import { config } from '/config.js';

const shell_button = document.getElementById('shell-start-button');
shell_button.addEventListener('click', function() {
    const shell_container = document.getElementById('shell-container');
    const shell_frame = document.createElement('iframe');
    shell_frame.id = 'minishell-iframe';
    shell_frame.height = '600';
    shell_frame.width = '800';
    shell_frame.src = config.BASE_URL + 'minishell/vnc';
    shell_container.appendChild(shell_frame);
    shell_button.style = 'display: none';
});

const next_project_a = document.getElementById('next-project-a');
next_project_a.addEventListener('click', function() {
    const shell_frame = document.getElementById('minishell-iframe');
    shell_frame.remove();
});
